import { IRaamCSS } from "@raam/core";
interface IWithIndex {
    index?: number;
}
declare type TFlexboxRecipes = "hStack" | "vStack" | "wrap";
export declare const flexboxRecipes: Record<TFlexboxRecipes, ParentProps>;
declare type TParentStyleProps = "alignItems" | "alignContent" | "flexDirection" | "flexWrap" | "gap" | "justifyContent" | "justifyItems";
interface ParentProps extends Pick<IRaamCSS, TParentStyleProps> {
}
declare type TChildStyleProps = "flex" | "flexGrow" | "flexBasis" | "flexShrink";
interface IChildProps extends IWithIndex, ParentProps, Pick<IRaamCSS, TChildStyleProps> {
}
export interface IFlexboxProps extends ParentProps {
}
export interface IFlexboxChildProps extends Pick<IChildProps, "index" | TChildStyleProps> {
}
export interface IFlexboxChildOwnProps extends IChildProps {
}
export declare type TFlexboxStylePropsKeys = TChildStyleProps | TParentStyleProps;
export interface IFlexboxStyleProps extends Pick<IRaamCSS, TFlexboxStylePropsKeys> {
}
export declare const flexbox: (props?: IFlexboxProps) => {
    parent: () => IRaamCSS;
    child: (childProps?: IFlexboxChildOwnProps) => IRaamCSS;
};
export {};
